Create a metric source
curl --request PUT \
--url https://api.arklow.io/v1/orgs/{org_id}/metrics/sources \
--header 'Content-Type: application/json' \
--header 'x-arklow-auth: <api-key>' \
--data '
{
"name": "<string>",
"kind": "prometheus",
"endpoint": "<string>",
"credential_id": "<string>",
"config": {
"mode": "query_range",
"path": "<string>",
"tls_skip_verify": true
},
"status": "active"
}
'import requests
url = "https://api.arklow.io/v1/orgs/{org_id}/metrics/sources"
payload = {
"name": "<string>",
"kind": "prometheus",
"endpoint": "<string>",
"credential_id": "<string>",
"config": {
"mode": "query_range",
"path": "<string>",
"tls_skip_verify": True
},
"status": "active"
}
headers = {
"x-arklow-auth": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-arklow-auth': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
kind: 'prometheus',
endpoint: '<string>',
credential_id: '<string>',
config: {mode: 'query_range', path: '<string>', tls_skip_verify: true},
status: 'active'
})
};
fetch('https://api.arklow.io/v1/orgs/{org_id}/metrics/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"org_id": "<string>",
"name": "<string>",
"kind": "prometheus",
"status": "active",
"endpoint": "<string>",
"poll_interval_seconds": 123,
"version": "<string>",
"applied_version": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"credential_id": "<string>",
"config": {},
"last_collected_at": "2023-11-07T05:31:56Z",
"last_error": "<string>",
"last_error_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"queries": [
{
"id": "<string>",
"source_id": "<string>",
"name": "<string>",
"status": "active",
"updated_at": "2023-11-07T05:31:56Z",
"config": {
"expression": "<string>",
"rollup_seconds": 123,
"window_seconds": 123,
"group_by": [
"<string>"
],
"tags": {}
},
"identity_tag_excludes": [
"<string>"
],
"deleted_at": "2023-11-07T05:31:56Z"
}
]
},
"errors": [
{
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>"
}
]
}Create a metric source
PUT
/
v1
/
orgs
/
{org_id}
/
metrics
/
sources
Create a metric source
Authorizations
Path Parameters
Pattern:
^[0-9]+$Body
application/json